%global commit 82ff5a0da54aa6da27232b55eb93e5f4b5de22f2
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global debug_package %{nil}

Name:           gtk3-nocsd
Version:        %{shortcommit}
Release:        1.20160617git%{shortcommit}%{?dist}.4
Summary:        gtk3-nocsd is a small module used to disable the client side decoration of GTK3

License:        LGPL-2.1
URL:            https://github.com/PCMan/gtk3-nocsd
Source0:        https://github.com/PCMan/gtk3-nocsd/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  pkgconfig gtk3-devel gtk+-devel gobject-introspection-devel


%description
gtk3-nocsd is a small module used to disable the client side decoration of GTK3


%prep
%autosetup -n gtk3-nocsd-%{commit}


%build
%set_build_flags
%make_build
cat <<'EOF' > gtk3-nocsd.sh
#!/usr/bin/sh
_gtk3_nocsd_get_desktop() {
    if [ -n "${GNOME_DESKTOP_SESSION_ID-}" ]; then
        printf gnome
    else
        printf "${DESKTOP_SESSION-}"
    fi
}
case "$(_gtk3_nocsd_get_desktop)" in
    gnome|gnome-*|*/gnome|*/gnome-*)
        unset GTK_CSD
        ;;
    *)
        export GTK_CSD=0
        export LD_PRELOAD="/usr/lib64/libgtk3-nocsd.so.0${LD_PRELOAD:+:$LD_PRELOAD}"
        ;;
esac
unset _gtk3_nocsd_get_desktop
EOF



%install
install -D -m 0644 libgtk3-nocsd.so.0 %{buildroot}%{_libdir}/libgtk3-nocsd.so.0
install -D -m 0755 gtk3-nocsd %{buildroot}%{_bindir}/gtk3-nocsd
install -D -m 0644 gtk3-nocsd.1 %{buildroot}%{_mandir}/man1/gtk3-nocsd.1
install -D -m 0644 gtk3-nocsd.bash-completion %{buildroot}%{_datadir}/bash-completion/completions/gtk3-nocsd
install -D -m 0755 gtk3-nocsd.sh %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d/gtk3-nocsd.sh

%files
%license COPYING
%doc README.md
%{_libdir}/libgtk3-nocsd.so.0
%{_bindir}/gtk3-nocsd
%{_mandir}/man1/gtk3-nocsd*
%{_datadir}/bash-completion/completions/gtk3-nocsd
%{_sysconfdir}/X11/xinit/xinitrc.d/gtk3-nocsd.sh


%changelog
* Wed Nov 21 2018 Michael Goodwin <xenithorb@fedoraproject.org>
- Initial Packaging
